%global _hardened_build 1
Summary: RNGD based on CPU Jitter RNG
Name: jitterentropy-rngd
Version: 1.0.6
Release: 1%{?dist}
License: GPLv3
Url: http://www.chronox.de/jent.html
Source: http://www.chronox.de/jent/%{name}-%{version}.tar.xz
Group: Applications/Internet

BuildRequires: systemd-units
Requires(post): systemd
Requires(preun): systemd
Requires(postun): systemd

%description
The CPU Jitter Random Number Generator provides a non-physical true
random number generator that works equally in kernel and user land. The
only prerequisite is the availability of a high-resolution timer that
is available in modern CPUs.

Upon starting as a service, it will block until it has written 256 bytes
of entropy (which happens almost immediately)

A whitepaper is available at:
http://www.chronox.de/jent/doc/CPU-Jitter-NPTRNG.pdf

%prep
%setup -q

%build
%make_build \
LDFLAGS="%{?__global_ldflags} %{?_hardened_build:-Wl,-z,relro,-z,now}" \
CFLAGS="%{optflags} -fPIE"

%install
install -p -D -m 0755 jitterentropy-rngd %{buildroot}%{_sbindir}/jitterentropy-rngd
install -d 0755 %{buildroot}%{_unitdir}
# fixup path in service file
sed -i "s:/local/:/:" jitterentropy.service
install -m 0644 jitterentropy.service %{buildroot}%{_unitdir}/jitterentropy-rngd.service

%files
%license COPYING*
%doc README.md CHANGES
%{_sbindir}/jitterentropy-rngd
%{_unitdir}/jitterentropy-rngd.service

%preun
%systemd_preun jitterentropy-rngd.service

%post
%systemd_post jitterentropy-rngd.service

%postun
%systemd_postun_with_restart jitterentropy-rngd.service

%changelog
* Fri May 19 2017 Paul Wouters <pwouters@redhat.com> - 1.0.6-1
- Updated to 1.0.6, fixup After target in service file, patches merged upstream

* Mon May 15 2017 Paul Wouters <pwouters@redhat.com> - 1.0.5-3
- Change optimize handling

* Sun May 14 2017 Ville Skyttä <ville.skytta@iki.fi> - 1.0.5-2
- Build with $RPM_OPT_FLAGS (#1380524)
- Include license files in package

* Tue May 09 2017 Paul Wouters <pwouters@redhat.com> - 1.0.5-1
- Updated to 1.0.5, fixup service file to not reference /usr/local/sbin

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Sep 21 2016 Paul Wouters <pwouters@redhat.com> - 1.0.3-1
- Initial package
